Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.parameters.aPar.impl
Class AParPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.amp.amf.parameters.aPar.impl.AParPackageImpl

All Implemented Interfaces:
  AParPackage, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class AParPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements AParPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.amp.amf.parameters.aPar.AParPackage
`AParPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.amp.amf.parameters.aPar.AParPackage
`eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, IMPORT, IMPORT__IMPORT_URI, IMPORT_FEATURE_COUNT, INCORPORATES, INCORPORATES__IMPORT_URI, INCORPORATES_FEATURE_COUNT, MODEL, MODEL__INCORPORATES, MODEL__MODEL, MODEL__NAME, MODEL__PARAMETERS, MODEL_FEATURE_COUNT, PARAMETER, PARAMETER__ATTRIBUTE, PARAMETER__VALUE, PARAMETER_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`AParFactory` | `getAParFactory()`
`org.eclipse.emf.ecore.EAttribute` | `getImport_ImportURI()`
`org.eclipse.emf.ecore.EClass` | `getImport()`
`org.eclipse.emf.ecore.EAttribute` | `getIncorporates_ImportURI()`
`org.eclipse.emf.ecore.EClass` | `getIncorporates()`
`org.eclipse.emf.ecore.EReference` | `getModel_Incorporates()`
`org.eclipse.emf.ecore.EReference` | `getModel_Model()`
`org.eclipse.emf.ecore.EAttribute` | `getModel_Name()`
`org.eclipse.emf.ecore.EReference` | `getModel_Parameters()`
`org.eclipse.emf.ecore.EClass` | `getModel()`
`org.eclipse.emf.ecore.EReference` | `getParameter_Attribute()`
`org.eclipse.emf.ecore.EReference` | `getParameter_Value()`
`org.eclipse.emf.ecore.EClass` | `getParameter()`
`static AParPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static AParPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `AParPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `AParPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getModel

    public org.eclipse.emf.ecore.EClass getModel()

  Specified by:
    `getModel` in interface `AParPackage`
  Returns:
    the meta object for class 'Model'.
  See Also:
    `Model`

### getModel_Name

    public org.eclipse.emf.ecore.EAttribute getModel_Name()

  Specified by:
    `getModel_Name` in interface `AParPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Model.getName()`, `AParPackage.getModel()`

### getModel_Model

    public org.eclipse.emf.ecore.EReference getModel_Model()

  Specified by:
    `getModel_Model` in interface `AParPackage`
  Returns:
    the meta object for the containment reference 'Model'.
  See Also:
    `Model.getModel()`, `AParPackage.getModel()`

### getModel_Incorporates

    public org.eclipse.emf.ecore.EReference getModel_Incorporates()

  Specified by:
    `getModel_Incorporates` in interface `AParPackage`
  Returns:
    the meta object for the containment reference list 'Incorporates'.
  See Also:
    `Model.getIncorporates()`, `AParPackage.getModel()`

### getModel_Parameters

    public org.eclipse.emf.ecore.EReference getModel_Parameters()

  Specified by:
    `getModel_Parameters` in interface `AParPackage`
  Returns:
    the meta object for the containment reference list 'Parameters'.
  See Also:
    `Model.getParameters()`, `AParPackage.getModel()`

### getImport

    public org.eclipse.emf.ecore.EClass getImport()

  Specified by:
    `getImport` in interface `AParPackage`
  Returns:
    the meta object for class 'Import'.
  See Also:
    `Import`

### getImport_ImportURI

    public org.eclipse.emf.ecore.EAttribute getImport_ImportURI()

  Specified by:
    `getImport_ImportURI` in interface `AParPackage`
  Returns:
    the meta object for the attribute 'Import URI'.
  See Also:
    `Import.getImportURI()`, `AParPackage.getImport()`

### getIncorporates

    public org.eclipse.emf.ecore.EClass getIncorporates()

  Specified by:
    `getIncorporates` in interface `AParPackage`
  Returns:
    the meta object for class 'Incorporates'.
  See Also:
    `Incorporates`

### getIncorporates_ImportURI

    public org.eclipse.emf.ecore.EAttribute getIncorporates_ImportURI()

  Specified by:
    `getIncorporates_ImportURI` in interface `AParPackage`
  Returns:
    the meta object for the attribute 'Import URI'.
  See Also:
    `Incorporates.getImportURI()`, `AParPackage.getIncorporates()`

### getParameter

    public org.eclipse.emf.ecore.EClass getParameter()

  Specified by:
    `getParameter` in interface `AParPackage`
  Returns:
    the meta object for class 'Parameter'.
  See Also:
    `Parameter`

### getParameter_Attribute

    public org.eclipse.emf.ecore.EReference getParameter_Attribute()

  Specified by:
    `getParameter_Attribute` in interface `AParPackage`
  Returns:
    the meta object for the reference 'Attribute'.
  See Also:
    `Parameter.getAttribute()`, `AParPackage.getParameter()`

### getParameter_Value

    public org.eclipse.emf.ecore.EReference getParameter_Value()

  Specified by:
    `getParameter_Value` in interface `AParPackage`
  Returns:
    the meta object for the containment reference 'Value'.
  See Also:
    `Parameter.getValue()`, `AParPackage.getParameter()`

### getAParFactory

    public AParFactory getAParFactory()

  Specified by:
    `getAParFactory` in interface `AParPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD